Package com.salesforce.hyperdb.grpc

## Class ExecuteQueryResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.salesforce.hyperdb.grpc.ExecuteQueryResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ExecuteQueryResponseOrBuilder`, `Serializable`

    public final class ExecuteQueryResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements ExecuteQueryResponseOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.ExecuteQueryResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ExecuteQueryResponse.Builder` Protobuf type `salesforce.hyperdb.grpc.v1.ExecuteQueryResponse`
`static class` `ExecuteQueryResponse.ResultCase`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `BINARY_PART_FIELD_NUMBER`
`static int` `HEADER_FIELD_NUMBER`
`static int` `OPTIONAL_FIELD_NUMBER`
`static int` `QUERY_INFO_FIELD_NUMBER`
`static int` `QUERY_RESULT_FIELD_NUMBER`
`static int` `STRING_PART_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`QueryResultPartBinary` `getBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`
`QueryResultPartBinaryOrBuilder` `getBinaryPartOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`
`static ExecuteQueryResponse` `getDefaultInstance()`
`ExecuteQueryResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`QueryResultHeader` `getHeader()` `.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`
`QueryResultHeaderOrBuilder` `getHeaderOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`
`boolean` `getOptional()` `bool optional = 9;`
`com.google.protobuf.Parser<ExecuteQueryResponse>` `getParserForType()`
`QueryInfo` `getQueryInfo()` `.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`
`QueryInfoOrBuilder` `getQueryInfoOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`
`QueryResult` `getQueryResult()` `.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`
`QueryResultOrBuilder` `getQueryResultOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`
`ExecuteQueryResponse.ResultCase` `getResultCase()`
`int` `getSerializedSize()`
`QueryResultPartString` `getStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`
`QueryResultPartStringOrBuilder` `getStringPartOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`
`int` `hashCode()`
`boolean` `hasHeader()` `.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`
`boolean` `hasQueryInfo()` `.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`
`boolean` `hasQueryResult()` `.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`
`boolean` `hasStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static ExecuteQueryResponse.Builder` `newBuilder()`
`static ExecuteQueryResponse.Builder` `newBuilder​(ExecuteQueryResponse prototype)`
`ExecuteQueryResponse.Builder` `newBuilderForType()`
`protected ExecuteQueryResponse.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ExecuteQueryResponse` `parseDelimitedFrom​(InputStream input)`
`static ExecuteQueryResponse` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ExecuteQueryResponse` `parseFrom​(byte[] data)`
`static ExecuteQueryResponse` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ExecuteQueryResponse` `parseFrom​(com.google.protobuf.ByteString data)`
`static ExecuteQueryResponse` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ExecuteQueryResponse` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static ExecuteQueryResponse` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ExecuteQueryResponse` `parseFrom​(InputStream input)`
`static ExecuteQueryResponse` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ExecuteQueryResponse` `parseFrom​(ByteBuffer data)`
`static ExecuteQueryResponse` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ExecuteQueryResponse>` `parser()`
`ExecuteQueryResponse.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### HEADER_FIELD_NUMBER

    public static final int HEADER_FIELD_NUMBER

See Also:
  Constant Field Values

#### BINARY_PART_FIELD_NUMBER

    public static final int BINARY_PART_FIELD_NUMBER

See Also:
  Constant Field Values

#### STRING_PART_FIELD_NUMBER

    public static final int STRING_PART_FIELD_NUMBER

See Also:
  Constant Field Values

#### QUERY_INFO_FIELD_NUMBER

    public static final int QUERY_INFO_FIELD_NUMBER

See Also:
  Constant Field Values

#### QUERY_RESULT_FIELD_NUMBER

    public static final int QUERY_RESULT_FIELD_NUMBER

See Also:
  Constant Field Values

#### OPTIONAL_FIELD_NUMBER

    public static final int OPTIONAL_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getResultCase

    public ExecuteQueryResponse.ResultCase getResultCase()

Specified by:
  `getResultCase` in interface `ExecuteQueryResponseOrBuilder`

#### hasHeader

    public boolean hasHeader()

`.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`

Specified by:
  `hasHeader` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public QueryResultHeader getHeader()

`.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`

Specified by:
  `getHeader` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  The header.

#### getHeaderOrBuilder

    public QueryResultHeaderOrBuilder getHeaderOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `ExecuteQueryResponseOrBuilder`

#### hasBinaryPart

    public boolean hasBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`

Specified by:
  `hasBinaryPart` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  Whether the binaryPart field is set.

#### getBinaryPart

    public QueryResultPartBinary getBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`

Specified by:
  `getBinaryPart` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  The binaryPart.

#### getBinaryPartOrBuilder

    public QueryResultPartBinaryOrBuilder getBinaryPartOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 4;`

Specified by:
  `getBinaryPartOrBuilder` in interface `ExecuteQueryResponseOrBuilder`

#### hasStringPart

    public boolean hasStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`

Specified by:
  `hasStringPart` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  Whether the stringPart field is set.

#### getStringPart

    public QueryResultPartString getStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`

Specified by:
  `getStringPart` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  The stringPart.

#### getStringPartOrBuilder

    public QueryResultPartStringOrBuilder getStringPartOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 5;`

Specified by:
  `getStringPartOrBuilder` in interface `ExecuteQueryResponseOrBuilder`

#### hasQueryInfo

    public boolean hasQueryInfo()

`.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`

Specified by:
  `hasQueryInfo` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  Whether the queryInfo field is set.

#### getQueryInfo

    public QueryInfo getQueryInfo()

`.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`

Specified by:
  `getQueryInfo` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  The queryInfo.

#### getQueryInfoOrBuilder

    public QueryInfoOrBuilder getQueryInfoOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryInfo query_info = 6;`

Specified by:
  `getQueryInfoOrBuilder` in interface `ExecuteQueryResponseOrBuilder`

#### hasQueryResult

    public boolean hasQueryResult()

`.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`

Specified by:
  `hasQueryResult` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  Whether the queryResult field is set.

#### getQueryResult

    public QueryResult getQueryResult()

`.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`

Specified by:
  `getQueryResult` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  The queryResult.

#### getQueryResultOrBuilder

    public QueryResultOrBuilder getQueryResultOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResult query_result = 7;`

Specified by:
  `getQueryResultOrBuilder` in interface `ExecuteQueryResponseOrBuilder`

#### getOptional

    public boolean getOptional()

`bool optional = 9;`

Specified by:
  `getOptional` in interface `ExecuteQueryResponseOrBuilder`
Returns:
  The optional.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(ByteBuffer data)
                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(ByteBuffer data,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(com.google.protobuf.ByteString data)
                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(com.google.protobuf.ByteString data,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(byte[] data)
                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(byte[] data,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(InputStream input)
                                          throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(InputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ExecuteQueryResponse parseDelimitedFrom​(InputStream input)
                                                   throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ExecuteQueryResponse parseDelimitedFrom​(InputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                          throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ExecuteQueryResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public ExecuteQueryResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static ExecuteQueryResponse.Builder newBuilder()

#### newBuilder

    public static ExecuteQueryResponse.Builder newBuilder​(ExecuteQueryResponse prototype)

#### toBuilder

    public ExecuteQueryResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected ExecuteQueryResponse.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static ExecuteQueryResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<ExecuteQueryResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<ExecuteQueryResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public ExecuteQueryResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`